import java.awt.*;

public class Komplex
{
        double re;
        double im;

        public Komplex(Komplex z)
        {
                this(z.re, z.im);
        }

        public Komplex(double re, double im)
        {
                this.re = re;
                this.im = im;
        }

        public Komplex()
        {
                this(0.0, 0.0);
        }

        public Komplex(Point p, Komplex start, double schritt)
        // bildet die komplexe Zahl zum Pixel p mit linker/oberer Ecke start
        // und Schrittweite schritt
        {
                this.re = schritt * (double)p.x + start.re;
                this.im = schritt * (double)p.y + start.im;
        }

	public Point getPoint(Komplex start, double schritt)
	// liefert den Bildschirmpunkt, der der komplexen Zahl entspricht
	{
		Point p = new Point();
		p.x = (int)((this.re-start.re)/schritt + 0.5);
		p.y = (int)((this.im-start.im)/schritt + 0.5);

		return p;
	}

}
