
package Controls;

import java.awt.*;

/* Hilfsklasse fuer Malfeld, die ein DBCanvas mit automatischen Scrollbars erzeugt. */

class SBCanvas extends ScrollPane {

	private DBCanvas canvas;

	private int dimX;
	private int dimY;

	SBCanvas(CB cb, int id, int sizeX, int sizeY, int dimX, int dimY) {

		super(SCROLLBARS_AS_NEEDED);

		this.dimX = dimX;
		this.dimY = dimY;

		setSize(sizeX, sizeY);

		canvas = new DBCanvas(cb, id, dimX, dimY);

		addImpl(canvas, null, 0);
	}

	DBCanvas getCanvas() {

		return (canvas);
	}

	void resetCanvas(int dimX, int dimY, Color fg, Color bg) {

		this.dimX = dimX;
		this.dimY = dimY;

		canvas.reset(dimX, dimY, fg, bg);

		doLayout();
	}
}
